package tn.telephonedirectory.repository;

import java.util.Collection;
import java.util.HashMap;
import java.util.Map;

import tn.telephonedirectory.model.Person;

public class PersonRepository implements IPersonRepository{
	
	private static Map<String,Person> data = new HashMap<String,Person>();
	
	public PersonRepository() {
		save(new Person("09335271", "Houssem", "Ben Braiek", "52977392"));
		save(new Person("09335272", "Hassoum", "Brikotch", "96977392"));
		save(new Person("09335273", "Hoss", "Brayek", "22977392"));
	}
	
	@Override
	public Person save(Person person) {
		return data.put(person.getId(), person);
	}

	@Override
	public Collection<Person> all() {
		return data.values();
	}

	@Override
	public Person find(String id) {
		return data.get(id);
	}

	@Override
	public Person update(Person person) {
		return data.replace(person.getId(),person);
	}

	@Override
	public Person remove(String id) {
		return data.remove(id);
	}

}
