package tn.telephonedirectory.service;

import org.apache.struts2.rest.DefaultHttpHeaders;
import org.apache.struts2.rest.HttpHeaders;

import com.opensymphony.xwork2.ModelDriven;

import tn.telephonedirectory.model.Person;
import tn.telephonedirectory.repository.IPersonRepository;
import tn.telephonedirectory.repository.PersonRepository;

public class PersonRestService implements ModelDriven<Object> { 

	IPersonRepository repository=new PersonRepository();
	Object model;
	String id;
	
	public HttpHeaders index() {
		model = repository.all();
		return new DefaultHttpHeaders("index").disableCaching();
	}
	public String add(){
		model = repository.save((Person)model);
		return "SUCCESS";
	}
	
	public String update(){
		model = repository.update((Person)model);
		return "SUCCESS";
	}
	
	public String getId() {
		return id;
	}
	public void setId(String id) {
		model = repository.find(id);
		this.id = id;
	}
	public String delete(){
		model = repository.remove(getId());
		return "SUCCESS";
	}
	@Override
	public Object getModel() {
		return model;
	}
	
}
